AGTCloud API Docs
GuidesAPI ReferenceIntegrations and resourcesUpdate and help
Video generationOpenAI Videos

Download a video

Download a completed video through the OpenAI Videos API.

Retrieve the binary video content by Video ID. Save the response as a file instead of parsing it as JSON.

GET/v1/videos/{video_id}/content

Download the binary content of a completed video task. The response body is not JSON. Save it as a video file according to its Content-Type. The cURL example uses --output video.mp4 to write the response to a file.

Authorization

bearerAuth
AuthorizationBearer <token>

Use Bearer your-api-key in the Authorization Header.

In: header

Path Parameters

video_id*string

Video ID of a completed video task.

Length1 <= length

Query Parameters

variant?string

Downloadable resource type to return. The default is an MP4 video.

Response Body

video/mp4

application/json

application/json